Bouncy Castle Cryptography Library 1.85

Package org.bouncycastle.pkcs

Basic support package for handling and creating PKCS#10 certification requests, PKCS#8 encrypted keys and PKCS#12 keys stores.

See:
          Description

Interface Summary
PKCS12MacCalculatorBuilder  
PKCS12MacCalculatorBuilderProvider  
 

Class Summary
DeltaCertAttributeUtils Helpers for working with the delta certificate request attribute carried by a paired ("chameleon") PKCS#10 request — see draft-bonnell-lamps-chameleon-certs.
DeltaCertificateRequestAttributeValue The delta certificate request attribute defined in draft-bonnell-lamps-chameleon-certs.
DeltaCertificateRequestAttributeValueBuilder Builder for the delta certificate request attribute defined in draft-bonnell-lamps-chameleon-certs §5.
PKCS10CertificationRequest Holding class for a PKCS#10 certification request (RFC 2986).
PKCS10CertificationRequestBuilder A class for creating PKCS#10 Certification requests.
PKCS12PfxPdu Holding class for a PKCS#12 PFX structure (RFC 7292).
PKCS12PfxPduBuilder A builder for the PKCS#12 Pfx key and certificate store.
PKCS12SafeBag Holding class for a PKCS#12 SafeBag (RFC 7292).
PKCS12SafeBagBuilder Builder for a PKCS12SafeBag.
PKCS12SafeBagFactory Factory that materialises the PKCS12SafeBags carried in one ContentInfo of a PFX's AuthenticatedSafe.
PKCS12SecretBag Wrapper around the RFC 7292 SecretBag ASN.1 structure used by the PKCS#12 secretBag bag type.
PKCS12SecretBagBuilder Builder for a PKCS12SecretBag carrying an arbitrary secret value identified by the supplied bag-type OID.
PKCS8EncryptedPrivateKeyInfo Holding class for a PKCS#8 EncryptedPrivateKeyInfo structure (RFC 5958, originally RFC 5208).
PKCS8EncryptedPrivateKeyInfoBuilder A class for creating EncryptedPrivateKeyInfo structures.
 

Exception Summary
PKCSException General checked exception thrown by classes in org.bouncycastle.pkcs and its sub-packages.
PKCSIOException Specialised IOException thrown by classes in org.bouncycastle.pkcs and its sub-packages to signal malformed or corrupted PKCS encodings.
 

Package org.bouncycastle.pkcs Description

Basic support package for handling and creating PKCS#10 certification requests, PKCS#8 encrypted keys and PKCS#12 keys stores.


Bouncy Castle Cryptography Library 1.85